# Emirates ID Verification

The Emirates ID Verification API allows users to verify the identity and details associated with an Emirates ID card number issued in the UAE.

### Submit Document

#### uae\_eid

`POST` `https://secctrl.tutelar.io/api/v1/kyc/identity/uae_eid`

Post parameters description is given below:

| Post Parameter        | Type   | Is Mandatory | Description                                                     |
| --------------------- | ------ | -----------: | --------------------------------------------------------------- |
| `id_number`           | String |          Yes | TRN number                                                      |
| `date_of_birth`       | String |          Yes | Date of birth (format yyyy-mm-dd)                               |
| `current_nationality` | String |          Yes | <p>Current nationality code<br>UAE - united\_arab\_emirates</p> |

#### Sample Post Parameters

```json
{
    "id_number": "784198066113592",
    "date_of_birth": "1980-11-12",
    "current_nationality": "united_arab_emirates"
}
```

200: Success Response

200: InProgress Response

400: Validation Error Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "6e0a8534-ab7a-4cac-886c-cf42123399a0",
    "status": "completed",
    "result": {
        "emiratesIdNumber": "784196225985074",
        "dateOfBirth": "1962-08-09",
        "currentNationality": "united_arab_emirates",
        "issueDate": "2021-07-25",
        "expiryDate": "2026-07-24",
        "eidCardNumber": "106784945"
    },
    "requested_at": "2026-01-27T14:23:05.003Z",
    "completed_at": "2026-01-27T14:23:31.351Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "db47ada5-c56f-42a9-b731-37c2fbcf7545",
    "status": "in_progress",
    "requested_at": "2026-01-27T09:35:53.893Z"
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "ID Number should not be empty",
        "field": "id_number",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Date of Birth should not be empty",
        "field": "date_of_birth",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid date of birth format. Use YYYY-MM-DD.",
        "field": "date_of_birth",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Nationality should not be empty",
        "field": "current_nationality",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid nationality, Please refer docs for more info on supported nationality codes",
        "field": "current_nationality",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "db47ada5-c56f-42a9-b731-37c2fbcf7545",
    "status": "failed",
    "error": {
        "message": "Invalid ID Number.",
        "code": "ERROR"
    },
    "requested_at": "2026-01-27T09:35:53.893Z",
    "completed_at": "2026-01-27T09:35:59.831Z"
}
```

### Check Document Status

#### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/identity/uae_eid`

Query parameters description is given below:

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | -----------: | --------------------- |
| `reference_id`  | String |          Yes | Document reference id |

200: Success Response

200: InProgress Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "6e0a8534-ab7a-4cac-886c-cf42123399a0",
    "status": "completed",
    "result": {
        "emiratesIdNumber": "784196225985074",
        "dateOfBirth": "1962-08-09",
        "currentNationality": "united_arab_emirates",
        "issueDate": "2021-07-25",
        "expiryDate": "2026-07-24",
        "eidCardNumber": "106784945"
    },
    "requested_at": "2026-01-27T14:23:05.003Z",
    "completed_at": "2026-01-27T14:23:31.351Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "db47ada5-c56f-42a9-b731-37c2fbcf7545",
    "status": "in_progress",
    "requested_at": "2026-01-27T09:35:53.893Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "db47ada5-c56f-42a9-b731-37c2fbcf7545",
    "status": "failed",
    "error": {
        "message": "Invalid ID Number.",
        "code": "ERROR"
    },
    "requested_at": "2026-01-27T09:35:53.893Z",
    "completed_at": "2026-01-27T09:35:59.831Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/emirates-id-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
